echo off

cls
set DESTDIR=%WEBDIR%\Algo-S2\05-Complexite
set SRCDIR=%WEBDIR%\Algo-S2\05-Complexite
set COLORNAMES=006600
set COLORTYPES=993399
set COLORINSTR=990000
set COLORCMNTS=888833
set COLORSTRCT=118888

echo ------------------------------------------------------------

set SRCFILE=TD

set CIBLE=Factoriel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatriceVecteur
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitsMatriceMatrice
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecursiviteEnArbreParfait
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set SRCFILE=TD-Correction

set CIBLE=Factoriel
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitsMatriceMatrice
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=RecursiviteEnArbreParfait
echo %CIBLE%.lda
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TP

set CIBLE=ExempleUtilisationMinuteur
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatricesCarrees
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=NombreFibonacci
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionsFactoriel
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=TP-Correction

set CIBLE=ExempleUtilisationMinuteur
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatricesCarrees
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=NombreFibonacci
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=NombreFibonacciAvecMesureDeTemps
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=ProduitMatricesCarreesAvecMesureDeTemps
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FibonacciAvecMinuteur
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=FonctionsFactorielAvecMinuteur
echo %CIBLE%.java
substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

rem echo ------------------------------------------------------------

rem set SRCFILE=Default

rem set CIBLE=RechercheMinimum
rem echo %CIBLE%.lda
rem substitution4 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.lda -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -gColorationLDAExceptions.txt -h%COLORNAMES% -mColorationLDANames.txt -n%COLORNAMES% -mColorationLDATypes.txt -n%COLORTYPES% -mColorationLDAInstructions.txt -n%COLORINSTR% -c{-} -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
rem if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
rem if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

set SRCFILE=Default

set CIBLE=MesurerLeTemps
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=MesurerLeTempsAvecPrecision
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TempsFibonacci
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TempsFibonacci2
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TempsSystemeEquationsLineaires
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestPrecisionFloat
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestPrecisionDouble
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestPrecision
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestPrecisionSqrtFloat
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestPrecisionSqrtDouble
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

set CIBLE=TestMemoire
echo %CIBLE%.java
substitution5 %DESTDIR%\%SRCFILE%.htm %SRCDIR% %CIBLE%.java -r -sp2 -ns -m%DESTDIR%\%CIBLE%.strct -n%COLORSTRCT% -mColorationJavaNames.txt -n%COLORNAMES% -mColorationJavaTypes.txt -n%COLORTYPES% -mColorationJavaInstructions.txt -n%COLORINSTR% -s"14pt" -f"Courier New" -q%COLORCMNTS% -p204,204,204
if exist %DESTDIR%\%SRCFILE%.html del %DESTDIR%\%SRCFILE%.htm
if exist %DESTDIR%\%SRCFILE%.html rename %DESTDIR%\%SRCFILE%.html %SRCFILE%.htm

echo ------------------------------------------------------------

pause

exit